%define anolis_release 1

Name:           anolis-setup
Version:        23
Release:        %{anolis_release}%{?dist}
Summary:        sysctl conf for Anolis OS

Group:          System Environment/Base
License:        MulanPSL
URL:            https://www.aliyun.com/
Source1:        anolis-setup
Source2:        anolis-setup.service
BuildArch:      noarch

Requires:       systemd
Requires:       dracut
Requires:       kernel

%description
This package used to setup os conf for Alibaba Cloud Linux

%prep
echo OK

%build
echo OK

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysctl.d/ $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sbindir}

# copy systemd presets
mkdir -p %{buildroot}/%{_libdir}/systemd/system/
install -m 0644 %{SOURCE2} %{buildroot}/%{_libdir}/systemd/system/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/anolis-setup
%{_libdir}/systemd/system/anolis-setup.service

%post
systemctl enable anolis-setup
systemctl start anolis-setup

# rebuild initramfs
if [ ! -f "/run/anaconda/anaconda.conf" ]
then 
    dracut -f -v
fi

%changelog
* Sun Jun 18 2023 happy_orange <songnannan@linux.alibaba.com> - 23-1
- init package
